Subject: Re: [renum] Questions about draft-jiang-ipv6-site-renum-guideline-00

From: Jiangsheng <[email-masked]>
Date: Tue, 15 Feb 2011 09:04:29 +0000

Hi, Hannu,

Sorry for the late reply. We were in the Chinese New Year holidays.

Your understanding for portion renumbering is what I meant. One concrete example here: a large site network with a 48/ prefix may assign 52/ prefixes to its subnet. one subnet renumbering is portion renumbering from the whole site perspective.

NAT issues are more complicated than your description. Besides renumbering the external address of the NAT, renumbering the internal address of NAT could happen though it may be less possibility. Furthermore, the external address pool on the NAT would need to be reconfigured during the external address renumbering.

Regards,

Sheng

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Flinck, Hannu (NSN - FI/Espoo)
> Sent: Thursday, February 03, 2011 4:36 PM
> To: [email-masked]
> Subject: [renum] Questions about
> draft-jiang-ipv6-site-renum-guideline-00
> 
> Hello Sheng (and others)
> 
> I read your document and have the following questions. What do you 
> mean by "portion renumbering"? A subset of a subnet renumbered maybe? 
> (And one needs to split the externally announced prefix?) And I am not 
> sure if I understand the NAT issue you are pointing out. Aren't NATs 
> used because one wants to keep the external and internal addresses 
> separate?
> So are you renumbering the external address of the NAT? That will 
> break the ongoing sessions but is there something else?
> 
> - Hannu
> 
>